# Get link

`GET /v1/operations/translationsetlinks/{translationSetLinkId}`

Available as MCP tool `get-translation-set-link` (Read).

Translation set endpoints allow you to review and manage value sets, translation sets, and related translation set links. 

A <u>value set</u> is a list of values (e.g., LOINC, SNOMED, or a custom code set) that should be translated during the process of data exchange. [Learn about value sets](https://docs.redoxengine.com/permalink/57h6bja3T7Qy0Mf1ai7uMQ).

A <u>translation set</u> contains two value sets: one for incoming values and one for outgoing values between systems. A translation set also defines how those values should map to each other. [Learn about translation sets](https://docs.redoxengine.com/permalink/4GJXunyoAI3s05VrrRkJ09). 

A <u>translation set link</u> defines where the translation set should be applied in log processing for a specific subscription.

Anyone in a Redox organization can view translation sets and related value sets or links, but you must be assigned to an engineer or support role to update or delete them.

You can:

- retrieve a list of value sets by environment or organization;
- retrieve a list of translation sets by environment or organization;
- create, update, or delete value sets;
- create, update, or delete translation sets or links;
- create, update, or delete a value in a value set; or
- create or delete a translation in a translation set;

### Get link

Retrieve one related link for an existing translation set based on its unique ID. Links indicate where the translation set is applied during log processing.

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `translationSetLinkId` | path | string | Yes | Contains the unique identifier of the translation set link. |

## Request example

```bash
curl 'https://api.redoxengine.com/platform/v1/operations/translationsetlinks/{translationSetLinkId}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'accept: application/json'
```

## Responses

### 200

Contains a payload object with the requested translation set link.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `meta` | object | No |  |
| `meta.version` | string | No | Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences. |
| `payload` | object | No | Contains details about the requested translation set link. |
| `payload.translationSetLink` | object | No |  |
| `payload.translationSetLink.environment` | object | No | Describes the Redox environment that the asset belongs to. |
| `payload.translationSetLink.environment.id` | string (uuid) | No | Contains the unique identifier of the Redox environment. |
| `payload.translationSetLink.organization` | object | No | Describes the Redox organization that the asset belongs to. |
| `payload.translationSetLink.organization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `payload.translationSetLink.organization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `payload.translationSetLink.createdAt` | string | No | Displays the date and time that the asset was originally created in ISO 8601 format. |
| `payload.translationSetLink.createdBy` | object | No | Contains the metadata about the user who created the asset. |
| `payload.translationSetLink.createdBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.translationSetLink.createdBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.translationSetLink.updatedAt` | string | No | Displays the date and time that the asset was last updated in ISO 8601 format. |
| `payload.translationSetLink.updatedBy` | object | No | Contains the metadata about the user who last updated the asset. |
| `payload.translationSetLink.updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.translationSetLink.updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.translationSetLink.deletedAt` | string, nullable | No | Displays the date and time that the asset was deleted. Returns a `null` value if the asset hasn't been deleted. |
| `payload.translationSetLink.deletedBy` | object, nullable | No | Contains the metadata about the user who deleted the asset. |
| `payload.translationSetLink.deletedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.translationSetLink.deletedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.translationSetLink.id` | string (uuid) | No | Contains the unique identifier of the link for a specified asset. |
| `payload.translationSetLink.dataModel` | string | No | Specifies the Redox data model that the link applies to or should apply to. |
| `payload.translationSetLink.destination` | object | No | Specifies the destination of the subscription that an asset is or should be linked to. |
| `payload.translationSetLink.destination.id` | string (uuid) | Yes | Contains the unique identifier of the destination. |
| `payload.translationSetLink.direction` | string | No | Indicates the direction in which the translation set is or should be linked. This can be either `from-to` (translates a "from" value into a "to" value), or `to-from` (tranlates a "to" value into a "from" value). Possible values: from-to, to-from |
| `payload.translationSetLink.connectingOrganization` | object | No | Specifies the organization at the other side of the subscription that an asset is or should be linked to. |
| `payload.translationSetLink.connectingOrganization.id` | number | Yes | Contains the unique identifier of the Redox organization. |
| `payload.translationSetLink.paths` | Array of object | No | Lists the field paths linked to a translation set. These paths must be unique on the path property. |
| `payload.translationSetLink.paths[].dataType` | string | No | Describes the format of the data found at the path location. |
| `payload.translationSetLink.paths[].title` | string | No | Specifies a human-readable title for the field path. |
| `payload.translationSetLink.paths[].path` | string | No | Specifies the path in a message to the location of the data to be translated. The path must always start with a $ to be considered valid. |
| `payload.translationSetLink.processingLocation` | string | No | Identifies where a link will be applied during log processing. There are up to four stages that an asset can be linked to, depending on whether you own either the source, the destination, or both. Possible values: source-request, destination-request, source-response, destination-response |
| `payload.translationSetLink.translationSet` | object | No | Contains metadata about the linked translation set. |
| `payload.translationSetLink.translationSet.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `payload.translationSetLink.version` | string | No | Specifies the version of the translation set link. Right now this will always be '1.0.0'. Value: 1.0.0 |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "meta": {
    "version": "1.0.0"
  },
  "payload": {
    "translationSetLink": {
      "environment": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "organization": {
        "id": 122,
        "name": "string"
      },
      "createdAt": "2024-04-25T18:17:16.719Z",
      "createdBy": {
        "id": 0,
        "name": "string"
      },
      "updatedAt": "2024-04-25T18:17:16.719Z",
      "updatedBy": {
        "id": 0,
        "name": "string"
      },
      "deletedAt": "2024-04-25T18:17:16.719Z",
      "deletedBy": {
        "id": 0,
        "name": "string"
      },
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "dataModel": "PatientAdmin",
      "destination": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "direction": "to-from",
      "connectingOrganization": {
        "id": 122
      },
      "paths": [
        {
          "dataType": "string",
          "title": "Custom Path",
          "path": "$.Allergies[*].Type.Code"
        }
      ],
      "processingLocation": "source-request",
      "translationSet": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "version": "1.0.0"
    }
  }
}
```

### 400

Bad Request

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.id` | string | No | Contains a unique identifier for the given error instance. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Bad Request`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Bad Request",
      "code": "validation.error.bad.request",
      "detail": "Error details",
      "status": 400,
      "transient": false
    }
  }
}
```

### 403

Forbidden

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.errors` | Array of object | No |  |
| `payload.errors[].title` | string | No | Displays the high-level error message, typically something succinct like `Forbidden`. |
| `payload.errors[].code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |

```json
{
  "payload": {
    "errors": [
      {
        "title": "Forbidden",
        "code": "authorization.forbidden"
      }
    ]
  }
}
```

### 500

Internal Server Error

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Failed in step X`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Internal Server Error",
      "code": "failed.db.lookup",
      "detail": "Error details",
      "status": 500,
      "transient": true
    }
  }
}
```
